Skip to content

List Profiles

Request

Get list of charger profiles

Security
bearerToken
Path
tenantstringrequired
curl -i -X GET \
  'https://docs.exolink.com/_mock/apis/exolink_api/tenant/{tenant}/profile' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of profiles

Bodyapplication/json
Array [
idinteger

Profile ID

Example:1
tenantIdinteger

Tenant ID

displayNamestring

Profile display name

Example:"Default Profile"
dynamicboolean

Whether this is a dynamically generated profile

Default:false
cpmsIdinteger

Associated CPMS backend ID

cpmsIdsArray of any

Associated CPMS backend IDs

cpmsNamestring

Associated CPMS backend name(s)

cpmsUrlstring

Associated CPMS backend URL(s)

labIdinteger

Associated lab environment ID (if applicable)

createdAtstring, (date-time)
updatedAtstring, (date-time)
deletedAtstring, (date-time)
]
Response
[ { "id": 1, "tenantId": 0, "displayName": "Default Profile", "dynamic": false, "cpmsId": 0, "cpmsIds": [], "cpmsName": "string", "cpmsUrl": "string", "labId": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z" } ]